Skip to content

Get user action log

You can select request ID, client IP, user ID, application ID, start timestamp, request success, and paging parameters to get user action log

Method name

ManagementClient.get_user_action_logs

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
requestIdstringNo-Request IDxxx
clientIpstringno-Client IPxxx
eventTypestringno-Event typelogin
userIdstringno-User IDxxx
appIdstringno-Application IDxxx
startnumberno-Start timestamp11
endnumberno-End timestamp111
successbooleanno-Whether the request is successfultrue
pagination<a ListWebhooksDtono-Pagination

Request Response

Type: UserActionLogRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type.
requestIdstringRequest ID. Returned when the request fails.
data<a UserActionLogRespDataResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "totalCount": 1,
    "list": {
      "userId": "xxx",
      "userAvatar": "https://files.authing.co/authing-console/default-app-logo.png",
      "userDisplayName": "xxx",
      "userLoginsCount": 3,
      "appId": "xxx",
      "appName": "Demo",
      "clientIp": "127.0.0.1",
      "eventType": "login",
      "eventDetail": "Login「 test@example.com 」",
      "success": true,
      "appLoginUrl": "https://example.genauth.ai/login",
      "appLogo": "https://files.authing.co/authing-console/default-app-logo.png",
      "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/104.0.0.0 Safari/537.36",
      "parsedUserAgent": {
        "device": "Desktop",
        "browser": "Chrome",
        "os": "Windows"
      },
      "geoip": {
        "location": {
          "lon": 116.3889,
          "lat": 39.9288
        },
        "country_name": "China",
        "country_code2": "CN",
        "country_code3": "CN",
        "region_name": "Beijing",
        "region_code": "BJ",
        "city_name": "Beijing",
        "continent_code": "AS",
        "timezone": "Asia/Shanghai"
      },
      "timestamp": "2022-09-20T08:55:00.188+0800",
      "requestId": "b63b9772-384c-4f2d-981b-01d1feed964d"
    }
  }
}

Data Structure

ListWebhooksDto

NameTypeIs it required?DescriptionSample value
pagenumberNoCurrent page number, starting from 11
limitnumberNoNumber per page, maximum cannot exceed 50, default is 1010

UserActionLogRespData

NameTypeIs it required?DescriptionSample value
totalCountnumberyestotal number of records1
listarrayyesreturn list Nested type: <a UserActionLogDto.

UserActionLogDto

NameTypeIs it requiredDescriptionSample value
userIdstringyesUser IDxxx
userAvatarstringyesUser avatarhttps://files.authing.co/authing-console/default-app-logo.png
userDisplayNamestringyesUser display name, displayed in the following user field order: nickname > username > name > givenName > familyName -> email -> phone -> idxxx
userLoginsCountnumberyesNumber of user logins3
appIdstringyesApplication IDxxx
appNamestringyesApplication nameSample application
clientIpstringNoClient IP, can be filtered based on the client IP at login. By default, it is not passed to obtain the login history of all login IPs.127.0.0.1
eventTypestringyesEvent type:
- login: login
- logout: logout
- register: register
- verifyMfa: verify MFA
- updateUserProfile: modify user information
- updateUserPassword: modify password
- updateUserEmail: modify email
- updateUserPhone: modify phone number
- bindMfa: bind MFA
- bindEmail: bind email
- bindPhone: bind phone number
- unbindPhone: unbind phone number
- unbindEmail: unbind email
- unbindMFA: unbind MFA
- deleteAccount: Delete an account
- verifyFirstLogin: First login verification
login
eventDetailstringNoEvent detailsLogin account "test@example.com"
successbooleanYesSuccessful or nottrue
appLoginUrlstringYesApplication login addresshttps://example.genauth.ai/login
appLogostringyesApplication Logohttps://files.authing.co/authing-console/default-app-logo.png
userAgentstringyesUser AgentMozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/104.0.0.0 Safari/537.36
parsedUserAgentyesParsed User Agent Nested type: <a ParsedUserAgent.
geoipyesGeographic location Nested type: <a GeoIp.
timestampstringyestime2022-09-20T08:55:00.188+0800
requestIdstringyesrequest IDb63b9772-384c-4f2d-981b-01d1feed964d

ParsedUserAgent

nametypeIs this field requiredDescriptionSample value
devicestringyesType of device to useDesktop
browserstringyesBrowser nameChrome
osstringyesOperating systemWindows

GeoIp

| Name           | Type   | Is this field required | Description                             | Sample value | | --------------- | ------- | ---------------------------------------------------- | ---------------------------------------------------------------------- | ---------------------------------------------------- | ------------ | --------------------------------------- | --- | --- | ------------- | ------ | --- | ------------- | ------ | --- | --------------------------------------------- | | location       |         | Yes                                   | Geolocation Nested type: <a GeoIpLocation. | | country_name | string | Yes | | country_code2 | string | is | country_code3 | string | Yes | Bangkok                                     | | region_name     | string | yes                                     | Region Name                                               | City                                               | | Beijing                               | | continent_code | string | yes                                     | Continent Code                                             | AS                                     |

timezonestringyesTimezone style="width:300px">DescriptionExample Value
lonnumberyeslongitude116.3889
latnumberyeslatitude39.9288

Agent infrastructure for identity, memory, and web action.